<!--
  User: Chris Mills (millsy@jboss.com)
  Date: 03-Mar-2006
  Time: 22:38:07
-->
<html>
<head>
    <style type="text/css">
        .result-field{
            font-family: monospace;
            color: black;
            text-align: right;
            background-color: white;
        }

        .calc-button{
            width: 30px;
            height: 18px;
        }
    </style>
    <script language-="JavaScript">
        var op = '';
        var firstValue = '';
        var clearField = false;

        function numberPushed(number) {
            if ((clearField == true) || (document.calc.resultField.value == '0' && number != '.')) {
                document.calc.resultField.value = number;
                clearField = false;
            } else {
                document.calc.resultField.value = document.calc.resultField.value + number;
            }
        }

        function operatorPushed(operator) {
            if (firstValue != '') {
                equals();
            }
            firstValue = document.calc.resultField.value;
            op = operator;
            clearField = true;
        }

        function equals() {
            if (op == '*') {
                document.calc.resultField.value = firstValue * document.calc.resultField.value;
            }
            if (op == '/') {
                document.calc.resultField.value = firstValue / document.calc.resultField.value;
            }
            if (op == '-') {
                document.calc.resultField.value = firstValue - document.calc.resultField.value;
            }
            if (op == '+') {
                document.calc.resultField.value = parseFloat(firstValue) + parseFloat(document.calc.resultField.value);
            }
            clearField = true;
            firstValue = '';
        }

        function empty() {
            op = '';
            firstValue = '';
            document.calc.resultField.value = '0';
        }

    </script>
</head>

<body>
<form name="calc">
    <table width="140px" align="center">
        <tr>
            <td>
                <table border="1">
                    <tr>
                        <td colspan="4"><input readonly="true" type="text" value="0" name="resultField" class="result-field"/></td>
                    </tr>
                    <tr>
                        <td><input type="button" value="7" class="calc-button" onclick="numberPushed('7');"/></td>
                        <td><input type="button" value="8" class="calc-button" onclick="numberPushed('8');"/></td>
                        <td><input type="button" value="9" class="calc-button" onclick="numberPushed('9');"/></td>
                        <td><input type="button" value="*" class="calc-button" onclick="operatorPushed('*');"/></td>
                    </tr>
                    <tr>
                        <td><input type="button" value="4" class="calc-button" onclick="numberPushed('4');"/></td>
                        <td><input type="button" value="5" class="calc-button" onclick="numberPushed('5');"/></td>
                        <td><input type="button" value="6" class="calc-button" onclick="numberPushed('6');"/></td>
                        <td><input type="button" value="/" class="calc-button" onclick="operatorPushed('/');"/></td>
                    </tr>
                    <tr>
                        <td><input type="button" value="1" class="calc-button" onclick="numberPushed('1');"/></td>
                        <td><input type="button" value="2" class="calc-button" onclick="numberPushed('2');"/></td>
                        <td><input type="button" value="3" class="calc-button" onclick="numberPushed('3');"/></td>
                        <td><input type="button" value="+" class="calc-button" onclick="operatorPushed('+');"/></td>
                    </tr>
                    <tr>
                        <td><input type="button" value="." class="calc-button" onclick="numberPushed('.');"/></td>
                        <td><input type="button" value="0" class="calc-button" onclick="numberPushed('0');"/></td>
                        <td><input type="button" value="=" class="calc-button" onclick="equals();"/></td>
                        <td><input type="button" value="-" class="calc-button" onclick="operatorPushed('-');"/></td>
                    </tr>
                    <tr>
                        <td><input type="button" value="C" class="calc-button" onclick="empty();"/></td>
                    </tr>
                </table>
            </td>
        </tr>
    </table>
</form>
</body>
</html>
